Open CASCADE Technology: BRepBuilderAPI_FastSewing::FS_Edge Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
BRepBuilderAPI_FastSewing::FS_Edge Class Reference

The struct corresponding to a edge. More...

`#include <BRepBuilderAPI_FastSewing.hxx>`

## Public Member Functions
| FS_Edge ()
| FS_Edge (const Standard_Integer theIDVert1, const Standard_Integer theIDVert2)
void | CreateTopologicalEdge (const NCollection_Vector< FS_Vertex > &theVertexVec, const NCollection_Vector< FS_Face > &theFaceVec, const Standard_Real theTol)
| Creates topological member (TopoDS_Edge) More...
void | SetVertex (const Standard_Integer thePlaceID, const Standard_Integer theVertID)
| Sets vertex. More...
Standard_Boolean | IsDegenerated () const

## Data Fields
NCollection_Sequence< Standard_Integer > | myFaces
| List of faces which are shared with this edge Value is the index of this shape in myFaceVec array. More...
Standard_Integer | myID
| Indentifies the place of this Edge in BRepBuilderAPI_FastSewing::myEdgeVec list. More...
TopoDS_Edge | myTopoEdge

## Detailed Description

The struct corresponding to a edge.

## Constructor & Destructor Documentation

BRepBuilderAPI_FastSewing::FS_Edge::FS_Edge | ( |  | ) |
| inline

BRepBuilderAPI_FastSewing::FS_Edge::FS_Edge | ( | const Standard_Integer | theIDVert1,
|  | const Standard_Integer | theIDVert2
| ) |  |
| inline

## Member Function Documentation

void BRepBuilderAPI_FastSewing::FS_Edge::CreateTopologicalEdge | ( | const NCollection_Vector< FS_Vertex > & | theVertexVec,
|  | const NCollection_Vector< FS_Face > & | theFaceVec,
|  | const Standard_Real | theTol
| ) |  |

Creates topological member (TopoDS_Edge)

Standard_Boolean BRepBuilderAPI_FastSewing::FS_Edge::IsDegenerated | ( |  | ) | const
| inline

void BRepBuilderAPI_FastSewing::FS_Edge::SetVertex | ( | const Standard_Integer | thePlaceID,
|  | const Standard_Integer | theVertID
| ) |  |
| inline

Sets vertex.

## Field Documentation

NCollection_Sequence<Standard_Integer> BRepBuilderAPI_FastSewing::FS_Edge::myFaces

List of faces which are shared with this edge Value is the index of this shape in myFaceVec array.

Standard_Integer BRepBuilderAPI_FastSewing::FS_Edge::myID

Indentifies the place of this Edge in BRepBuilderAPI_FastSewing::myEdgeVec list.

TopoDS_Edge BRepBuilderAPI_FastSewing::FS_Edge::myTopoEdge

The documentation for this class was generated from the following file:

- BRepBuilderAPI_FastSewing.hxx